# ----------------------------------------------
# TT77671 - A bug in JBoss 5.x
# Usage: jboss5.sh "<JBOSS_HOME>"
# ----------------------------------------------

if [ $# -ne 1 ]
 then
    echo "Missing argument for JBOSS_HOME path!"
    exit 1
fi

if [ -e "$1" ]
  then
  
	export CURR_DIR="$pwd"
	
	mkdir $1/jboss5

	cp $1/lib/jboss-system-jmx.jar $1/jboss5/jboss-system-jmx.jar

	cd $1/jboss5

	jar xvf jboss-system-jmx.jar org/jboss/system/server/jmx/LazyMBeanServer.class org/jboss/system/server/jmx/MBeanServerBuilderImpl.class

	rm jboss-system-jmx.jar

	jar -cvf jboss5.jar *

	cp jboss5.jar $1/bin/jboss5.jar

	cd $CURR_DIR

	rm -r $1/jboss5
  else
    echo "Path entered for JBOSS_HOME is invalid!"
    exit 1
fi